<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    {% load static %}{% load mis_tags %}
    <link rel="shortcut icon" type="image/png" href="{% static 'media/favicon.ico' %}" />


    <link rel="stylesheet" href="{% static 'css/estilos.css' %}">
    <link rel="stylesheet" href="{% static 'css/fonticons.css' %}">
    <link rel="stylesheet" href="{% static 'css/login.css' %}">



    <link rel="stylesheet" href="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.2/jquery-ui.min.js"></script>

    <script src="https://cdn.jsdelivr.net/bxslider/4.2.12/jquery.bxslider.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"
        integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6"
        crossorigin="anonymous"></script>




    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </link>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
        crossorigin="anonymous">
    </link>

    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
    <link rel="stylesheet"
        href="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/css/bootstrap-select.min.css">
    </link>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap-select@1.13.9/dist/js/bootstrap-select.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/js-cookie@2/src/js.cookie.min.js"></script>
    <style>
        @import url('https://fonts.googleapis.com/css?family=Nunito&display=swap');
    </style>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/tiny-slider/2.9.2/min/tiny-slider.js"></script>
    <script>
       
        $(document).ready(function () {
            $('.navmain').removeClass('fixed-top')
            $('.navmain').addClass('navbar-dark');
            var validation = Array.prototype.filter.call(forms, function (form) {
                form.addEventListener('submit', function (event) {
                    var hasbanner = form.querySelector('.banner').querySelector('img').getAttribute('src').length>0;
                    var hasposter = form.querySelector('.poster').querySelector('img').getAttribute('src').length>0;
                    var hasTags =$('#selectTags').val().length>0;
                    if (form.checkValidity() === false||!hasbanner||!hasposter||!hasTags) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                    if(!hasposter){
                        form.querySelector('.banner').parentNode.querySelector('.invalid-feedback').classList.add('d-block')
                    }
                    if(!hasposter){
                        form.querySelector('.poster').parentNode.querySelector('.invalid-feedback').classList.add('d-block')
                    }
                    if(!hasTags){
                        $('#selectTags').closest('.form-group').find('.invalid-feedback').addClass('d-block');
                    }
                    form.classList.add('was-validated');
                }, false);
            });
            $('#selectTags').on('changed.bs.select', function (e, clickedIndex, isSelected, previousValue) {
                
                $('#selectTags').closest('.form-group').find('.invalid-feedback').removeClass('d-block');
            });
        });
        $(document).on('change','input[type="file"]',_changeimg);
        function _changeimg(evt){
            var inp = $(this)
            var dt = evt.target;
            var files = dt.files;
            if(!files||files.length==0)return;
            var file = files[0];
            var reader = new FileReader()
            reader.readAsDataURL(file)
            reader.onloadend = function() {
                var img = inp.closest('.imagedrop').find('img')
                img.attr('src', reader.result)
                img.css({ display: "block" });
                inp.closest('.imagedrop').find('.wrap').addClass('noafter');
                img.closest('.form-group').find('.invalid-feedback').removeClass('d-block');
            }
        }
    </script>
</head>

<body>
    {% include "core/navbar.html" %}
    <div class="container-fluid justify-content-center p-5 d-flex ">
        <div class="border border-dark rounded w-75">
            <form class="p-3 needs-validation" novalidate method="POST" id="IngresoFormulario" enctype="multipart/form-data" action="">
                {% csrf_token %}
                <div class="form-group">
                    <div class="imagedrop banner">
                        <div class="wrap">
                            <img src=""/>
                        </div>
                        <input type="file" accept="image/*" id="imagenBanner" name="imagenBanner"/>
                    </div>
                    <div class="invalid-feedback">
                        Ingresa el banner del comic.
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-auto  p-2">
                        <div class="imagedrop poster">
                            <div class="wrap">
                                <img src=""/>
                            </div>
                            <input type="file" accept="image/*" id="imagenComic" name="imagenComic" required/>
                        </div>
                        <div class="invalid-feedback">
                            Ingresa la portada del comic.
                        </div>
                    </div>
                    <div class="form-group col-md-6  p-2">
                        <div class="form-row">
                            <div class="form-group col-md  p-2">
                                <label for="txtNombre">Título</label>
                                <input type="text" class="form-control rounded-pill border border-dark bg-light" id="txtNombre" name="txtNombre" placeholder="" required/>
                                <div class="invalid-feedback">
                                    Ingresa nombre del comic.
                                </div>
                                <small id="passwordHelpBlock" class="form-text text-muted">
                                    (Máximo 200 caracteres)
                                </small>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md p-2">
                                <label for="txtDescripcion">Sinopsis</label>
                                <textarea  class="form-control rounded border border-dark bg-light" id="txtDescripcion" name="txtDescripcion" placeholder="" required></textarea>
                                <div class="invalid-feedback">
                                    Ingresa la sinopsis del comic.
                                </div>
                                <small id="passwordHelpBlock" class="form-text text-muted">
                                    (Máximo 400 caracteres)
                                </small>
                            </div>
                        </div>
                        <div class="form-row">
                            <div class="form-group col-md p-2">
                                <label for="selectTags">Géneros</label>
                            <div class="select-gen-filt input-group w-100">
                                <select multiple data-max-options="3" data-style="form-control rounded-pill border border-dark bg-light " class="selectpicker  w-100"
                                  data-none-selected-text="Todos" id="selectTags" name="t[]" required>
                                  {% for t in tags %}
                                  <option value="{{t.id}}">{{ t.nombre }}</option>
                                  {% endfor %}
                    
                                </select>
                                
                              </div>
                              <div class="invalid-feedback">
                                Ingresa hasta 3 géneros.
                            </div>
                              <small id="passwordHelpBlock" class="form-text text-muted">
                                (Puedes elegir un máximo de 3)
                            </small>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md p-2">
                        <button type="submit" class="btn btn-primary ">Publicar ahora</button>
                    </div>
                </div>
                
            </form>
        </div>
    </div>
   

</body>

</html>